<?php
class Template{
	
	var $original_html="";
	var $html="";
	var $lang_labels;
	
	function Template($file_path_template_html) {
		$this->html = file_get_contents($file_path_template_html);
		$this->original_html = $this->html;
		
		$pattern = '/\{lang:([^\}]+)\}/';
		preg_match_all($pattern, $this->html, $labels, PREG_PATTERN_ORDER);
		$this->lang_labels=$labels[1];
    }
	
	public function fill_lang($values){
		self::fill_html($this->html,$values,$this->lang_labels);
	}

	public function fill_content($values){
		self::fill_html($this->html,$values);
	}
	
	
	private static function fill_html(&$template,&$vector,$labels=null){
		if ($labels===null){
			foreach($vector as $label => $value){
				$template=str_replace("{".$label."}",$value,$template);
			}
		}else{
			foreach($labels as $label){
				if (isset($vector[$label])){
					$template=str_replace("{lang:".$label."}",$vector[$label],$template);
				}
			}
		}
	}
	
	public function getHTML(){
		return $this->html;
	}
	
	public function resetHTML(){
		$this->html=$this->original_html;
	}
}
?>